<#ibiztemplate>
TARGET=PSDATAENTITY
</#ibiztemplate>
<#comment>索引从实体</#comment>
<#assign isIndexSubDE=false>
<#if de.getMinorPSDERs()??>
<#list de.getMinorPSDERs() as MinorPSDER>
    <#if MinorPSDER.getDERType()?? && MinorPSDER.getDERType()=="DERINDEX">
        <#assign isIndexSubDE=true>
        <#assign indexPSDER=MinorPSDER>
        <#break>
    </#if>
</#list>
<#if isIndexSubDE=true && indexPSDER??>

<#comment>索引主实体</#comment>
<#assign indexMajorDE=indexPSDER.getMajorPSDataEntity()>
<#assign indexMajorDECodeName=indexPSDER.getMajorPSDataEntity().codeName>
<#assign indexMajorDECodeNameCamel = srfcaseformat(indexMajorDECodeName,'l_u2lC')?cap_first>
<#assign deCodeName=de.codeName>
<#assign deCodeNameCamel = srfcaseformat(deCodeName,'l_u2lC')?cap_first>

package ${pub.getPKGCodeName()}.core.${de.getPSSystemModule().codeName?lower_case}.mapping.${de.codeName}InheritMapping;

import org.mapstruct.*;
import ${pub.getPKGCodeName()}.core.${de.getPSSystemModule().getCodeName()?lower_case}.domain.${de.codeName};
import ${pub.getPKGCodeName()}.core.${indexMajorDE.getPSSystemModule().getCodeName()?lower_case}.domain.${indexMajorDE.codeName};
import ${pub.getPKGCodeName()}.util.domain.MappingBase;
import org.mapstruct.factory.Mappers;
import java.util.List;

@Mapper(componentModel = "spring", uses = {},
    nullValuePropertyMappingStrategy = NullValuePropertyMappingStrategy.IGNORE,
    nullValueCheckStrategy = NullValueCheckStrategy.ALWAYS)
public interface ${item.getCodeName()}Mapping extends MappingBase<${item.codeName}, ${indexPSDER.codeName}> {

    @Mappings({
        <#if indexPSDER.getPropertyMapNames?? && indexPSDER.getPropertyMapNames()??>
            <#list indexPSDER.getPropertyMapNames() as indexFieldMapping>
            <#if indexPSDER.containsUserParam(indexFieldMapping)>
            //${indexPSDER.getUserParam(indexFieldMapping)}
            <#else>
            //false
            </#if>
        <#--@Mapping(source ="humanname" ,target = "cityname"), //平台配置参数映射-->
        <#--@Mapping(source ="humanname" ,target = "cityname")  //主键-->
            </#list>
        </#if>
    })
    ${indexMajorDECodeName} to${indexMajorDECodeNameCamel}(${deCodeName} ${deCodeName?lower_case});

    ${deCodeName} to${deCodeNameCamel}(${indexMajorDECodeName} ${indexMajorDECodeName?lower_case});

    List<${indexMajorDECodeName}> to${indexMajorDECodeNameCamel}(List<${deCodeName}> ${deCodeName?lower_case});

    List<${deCodeName}> to${deCodeNameCamel}(List<${indexMajorDECodeName}> ${indexMajorDECodeName?lower_case});

}
</#if>
</#if>


